1

I was trying to query payment_queryInfo on current Westend testnet, and the following payload used to works at spec 9430.

{
    "jsonrpc": "2.0",
    "method": "payment_queryInfo",
    "params": [
        "0x41028400088ec8045cd8e9fbdd7080021030c5bf7240c9ea36a0648ea3bbe07d54de5d4d0100000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000a50348000402002c50932cfc2b166f444027517b3421ddb59c64162f090197e4ccac19c30c237b0700e40b5402",
        "0x9ee56bc6165d9935abdbc2732cad4f44db4a8b08765c2e7a195c832946e64628"
    ],
    "id": 1
}

But right now it will returns

WASM backtrace:
error while executing at wasm backtrace:
    0: 0x68d15 - <unknown>!rust_begin_unwind
    1: 0xd10b - <unknown>!core::panicking::panic_fmt::h3e1dd3d08288569e
    2: 0x38dda9 - <unknown>!TransactionPaymentApi_query_info

I know this RPC method id deprecated so I tried to switch to state_call with the following request:

{
    "jsonrpc": "2.0",
    "method": "state_call",
    "params": [
        "TransactionPaymentApi_query_info",
        "0x41028400088ec8045cd8e9fbdd7080021030c5bf7240c9ea36a0648ea3bbe07d54de5d4d0100000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000a50348000402002c50932cfc2b166f444027517b3421ddb59c64162f090197e4ccac19c30c237b0700e40b5402",
        "0x9ee56bc6165d9935abdbc2732cad4f44db4a8b08765c2e7a195c832946e64628"
    ],
    "id": 1
}

but still it is returning:

WASM backtrace:
error while executing at wasm backtrace:
    0: 0x68d15 - <unknown>!rust_begin_unwind
    1: 1: 0xd10b - <unknown>!core::panicking::panic_fmt::h3e1dd3d08288569e
    2: 0x38dda9 - <unknown>!TransactionPaymentApi_query_info

Anyone has any clue on why this error is popping up?

Do I need to update my metadata or encoding method?

Thanks

1 Answer 1

0

payment_queryInfo is deprecated, it's been replaced by api.call.transactionPaymentApi.queryInfo, or if you prefer using RPC, you could use state_call with TransactionPaymentApi_query_info and the encoded extrinsic as the arguments.

3
  • Hi, Thanks for the comment! However, I've also tried using state_call you mentioned, but return the same error.. :( I've appended the request & response of state_call to my original post as well, thanks!
    – johnhckuo
    Commented Dec 6, 2023 at 12:13
  • 1
    This looks like a generalized issue, I'll check it out and get back to you Commented Dec 7, 2023 at 14:47
  • hi, thanks for the comment, since it is a generalized issue, do you know if there's an issue created for Polkadot SDK github repo? or any other place that records this issue? thx
    – johnhckuo
    Commented Dec 8, 2023 at 16:26

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.